package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.QualificationAttributeDefinitionResource;
import de.humance.eco.profile.service.QualificationAttributeDefinitionResourceLocalServiceUtil;

/**
 * The extended model base implementation for the QualificationAttributeDefinitionResource service. Represents a row in the &quot;Profile_QualificationAttributeDefinitionResource&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link QualificationAttributeDefinitionResourceImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationAttributeDefinitionResourceImpl
 * @see de.humance.eco.profile.model.QualificationAttributeDefinitionResource
 * @generated
 */
public abstract class QualificationAttributeDefinitionResourceBaseImpl
    extends QualificationAttributeDefinitionResourceModelImpl
    implements QualificationAttributeDefinitionResource {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a qualification attribute definition resource model instance should use the {@link QualificationAttributeDefinitionResource} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            QualificationAttributeDefinitionResourceLocalServiceUtil.addQualificationAttributeDefinitionResource(this);
        } else {
            QualificationAttributeDefinitionResourceLocalServiceUtil.updateQualificationAttributeDefinitionResource(this);
        }
    }
}
